View Issue Details

IDProjectCategoryView StatusLast Update
0032713Open CASCADEOCCT:Visualizationpublic2021-12-15 16:49
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032713: Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists
DescriptionCurrently OpenGl_GlFunctions has different implementation for OpenGL and OpenGL ES platforms.
It is desired to make OpenGl_GlFunctions definition common for both implementations, so that user will be able to write OpenGL-dependent code without extra preprocessor checks.

As the next step, most part of TKOpenGl could be moved to TKOpenGlBase toolkit common for OpenGL and OpenGL ES, so that only a small layer initializing OpenGl_GlFunctions depending on system library will be necessary.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

related to 0032206 closedbugmaster Visualization, TKOpenGl - move out OpenGL ES support to dedicated library TKOpenGles 
related to 0030600 closedbugmaster Visualization, TKOpenGl - include GLES3/gl3.h instead of GLES2/gl2.h 
related to 0032732 verifiedkgv Visualization, TKOpenGl - do not include system headers within OpenGl_GlFunctions.hxx 

Activities

git

2021-12-04 15:20

administrator   ~0105666

Branch CR32713 has been created by kgv.

SHA-1: be838a046ec4b1bed9e8952ecc0754a8e57ff16a


Detailed log of new commits:

Author: kgv
Date: Sat Dec 4 15:19:47 2021 +0300

    0032713: Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists

Author: kgv
Date: Fri Dec 3 19:51:07 2021 +0300

    0032712: Visualization, OpenGl_Context.hxx - avoid including OpenGL headers

git

2021-12-04 15:55

administrator   ~0105669

Branch CR32713 has been updated forcibly by kgv.

SHA-1: 86138b4fdb62b689537db2c1525e6d798ff9049c

git

2021-12-04 16:01

administrator   ~0105670

Branch CR32713 has been updated forcibly by kgv.

SHA-1: 85bb9fd2d4e11247eba55cace63c35905171e194

git

2021-12-04 16:53

administrator   ~0105672

Branch CR32713 has been updated forcibly by kgv.

SHA-1: af6c75e0009fb6478e7dfabcb83005738e9177d3

git

2021-12-05 11:58

administrator   ~0105680

Branch CR32713 has been updated forcibly by kgv.

SHA-1: e8544fd9bd807d2e9099c0b79d4ac425cbb412b9

git

2021-12-05 12:57

administrator   ~0105681

Branch CR32713 has been updated forcibly by kgv.

SHA-1: df069452fffc4e3adc8f7d1831e0acc7c656575f

git

2021-12-05 13:27

administrator   ~0105682

Branch CR32713 has been updated forcibly by kgv.

SHA-1: 2ac55b18c5ef1fad88eb3da65f406f07a51da577

git

2021-12-05 13:31

administrator   ~0105683

Branch CR32713 has been updated forcibly by kgv.

SHA-1: a5df5dd9fb266277e5c8227c5e3e46ff899e5bff

git

2021-12-05 13:34

administrator   ~0105684

Branch CR32713 has been updated forcibly by kgv.

SHA-1: 45285a90f4c4f4f8e8ec6281def4af53c2ccb7cd

git

2021-12-05 14:14

administrator   ~0105685

Branch CR32713_1 has been created by kgv.

SHA-1: 11db6da68f3641b08c5153c973df88b07483d54d


Detailed log of new commits:

Author: kgv
Date: Sat Dec 4 15:19:47 2021 +0300

    0032713: Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists
    
    Including system OpenGL headers has been moved from OpenGl_GlFunctions.hxx to OpenGl_GlNative.hxx.
    Added OpenGl_GlTypes.hxx providing basic OpenGL 1.1 types.
    Wrappers of system OpenGL 1.1 / OpenGL ES 2.0 functions have been moved to OpenGl_GlFunctions.cxx.
    Avoided usage of global OpenGL functions in OpenGl package outside of OpenGl_GlFunctions.cxx.

git

2021-12-05 14:42

administrator   ~0105686

Branch CR32713_1 has been updated forcibly by kgv.

SHA-1: 140b290f825080817013a1d8c606d9cf3d586e74

git

2021-12-05 16:22

administrator   ~0105688

Branch CR32713_1 has been updated forcibly by kgv.

SHA-1: 3a5d81d46e04c6150395ad7ed6955095bd3f30ea

kgv

2021-12-05 17:18

developer   ~0105689

Patch is ready for review
- OCCT: branch CR32713_1.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32713_1-master-KGV/

osa

2021-12-06 11:33

developer   ~0105691

The patch was reviewed

git

2021-12-07 12:08

administrator   ~0105714

Branch CR32713_1 has been updated by kgv.

SHA-1: bb83401024be6278bb515228e87d52fec2d41244


Detailed log of new commits:

Author: kgv
Date: Tue Dec 7 12:08:12 2021 +0300

    # workaround UWP build

git

2021-12-07 12:08

administrator   ~0105715

Branch CR32713_2 has been created by kgv.

SHA-1: fd6fc9db2b36849b054a872d8181ee694b477e06


Detailed log of new commits:

Author: kgv
Date: Sat Dec 4 15:19:47 2021 +0300

    0032713: Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists
    
    Including system OpenGL headers has been moved from OpenGl_GlFunctions.hxx to OpenGl_GlNative.hxx.
    Added OpenGl_GlTypes.hxx providing basic OpenGL 1.1 types.
    Wrappers of system OpenGL 1.1 / OpenGL ES 2.0 functions have been moved to OpenGl_GlFunctions.cxx.
    Avoided usage of global OpenGL functions in OpenGl package outside of OpenGl_GlFunctions.cxx.

git

2021-12-08 20:48

administrator   ~0105755

Branch CR32713_3 has been created by kgv.

SHA-1: c45b75e7fe78ae94483801bc816c7dc6ea1f8d77


No new revisions were added by this update.

smoskvin

2021-12-11 11:35

administrator   ~0105809

Combination -
OCCT branch : IR-2021-12-10
master SHA - e463b2f685d8c815f8a7ab996c6843808e8b1430
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-10 SHA - 6377a4e004f3c988c651adf5eca35203f239b1c2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18222.380000000427 / 18166.60000000042 [+0.31%]
Products
Total CPU difference: 11645.100000000084 / 11658.820000000103 [-0.12%]
Windows-64-VC14:
OCCT
Total CPU difference: 19999.4375 / 19937.953125 [+0.31%]
Products
Total CPU difference: 13044.453125 / 13069.28125 [-0.19%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-11 15:26

administrator   ~0105821

Branch CR32713 has been deleted by mnt.

SHA-1: 45285a90f4c4f4f8e8ec6281def4af53c2ccb7cd

git

2021-12-11 15:26

administrator   ~0105822

Branch CR32713_1 has been deleted by mnt.

SHA-1: bb83401024be6278bb515228e87d52fec2d41244

git

2021-12-11 15:26

administrator   ~0105823

Branch CR32713_2 has been deleted by mnt.

SHA-1: fd6fc9db2b36849b054a872d8181ee694b477e06

git

2021-12-11 15:26

administrator   ~0105824

Branch CR32713_3 has been deleted by mnt.

SHA-1: c45b75e7fe78ae94483801bc816c7dc6ea1f8d77

Related Changesets

occt: master 8f7159cb

2021-12-04 12:19:47

kgv


Committer: smoskvin Details Diff
0032713: Visualization, OpenGl_GlFunctions - unify OpenGL and OpenGL ES function lists

Including system OpenGL headers has been moved from OpenGl_GlFunctions.hxx to OpenGl_GlNative.hxx.
Added OpenGl_GlTypes.hxx providing basic OpenGL 1.1 types.
Wrappers of system OpenGL 1.1 / OpenGL ES 2.0 functions have been moved to OpenGl_GlFunctions.cxx.
Avoided usage of global OpenGL functions in OpenGl package outside of OpenGl_GlFunctions.cxx.
Affected Issues
0032713
mod - src/OpenGl/FILES Diff File
mod - src/OpenGl/OpenGl_AspectsSprite.cxx Diff File
mod - src/OpenGl/OpenGl_CappingAlgo.cxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_Font.cxx Diff File
mod - src/OpenGl/OpenGl_FrameBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff File
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore11Fwd.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore32.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore33.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore40.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore41.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore42.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore43.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore44.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore45.hxx Diff File
mod - src/OpenGl/OpenGl_GlCore46.hxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.cxx Diff File
mod - src/OpenGl/OpenGl_GlFunctions.hxx Diff File
add - src/OpenGl/OpenGl_GlNative.hxx Diff File
add - src/OpenGl/OpenGl_GlTypes.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff File
mod - src/OpenGl/OpenGl_LayerList.cxx Diff File
mod - src/OpenGl/OpenGl_LineAttributes.cxx Diff File
mod - src/OpenGl/OpenGl_PBREnvironment.cxx Diff File
mod - src/OpenGl/OpenGl_PointSprite.cxx Diff File
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff File
mod - src/OpenGl/OpenGl_Sampler.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff File
mod - src/OpenGl/OpenGl_StencilTest.cxx Diff File
mod - src/OpenGl/OpenGl_Structure.cxx Diff File
mod - src/OpenGl/OpenGl_Text.cxx Diff File
mod - src/OpenGl/OpenGl_Texture.cxx Diff File
mod - src/OpenGl/OpenGl_TextureFormat.cxx Diff File
mod - src/OpenGl/OpenGl_TileSampler.cxx Diff File
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff File
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/OpenGl/OpenGl_Window.cxx Diff File
mod - src/OpenGl/OpenGl_Workspace.cxx Diff File
mod - src/OpenGlTest/OpenGlTest_Commands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-12-04 13:20 kgv New Issue
2021-12-04 13:20 kgv Assigned To => kgv
2021-12-04 13:20 kgv Relationship added related to 0032206
2021-12-04 15:20 git Note Added: 0105666
2021-12-04 15:55 git Note Added: 0105669
2021-12-04 16:01 git Note Added: 0105670
2021-12-04 16:53 git Note Added: 0105672
2021-12-05 11:58 git Note Added: 0105680
2021-12-05 12:57 git Note Added: 0105681
2021-12-05 13:27 git Note Added: 0105682
2021-12-05 13:31 git Note Added: 0105683
2021-12-05 13:34 git Note Added: 0105684
2021-12-05 14:14 git Note Added: 0105685
2021-12-05 14:42 git Note Added: 0105686
2021-12-05 16:22 git Note Added: 0105688
2021-12-05 17:18 kgv Test case number => N/A
2021-12-05 17:18 kgv Note Added: 0105689
2021-12-05 17:18 kgv Assigned To kgv => osa
2021-12-05 17:18 kgv Status new => resolved
2021-12-05 17:18 kgv Target Version 7.6.0 => 7.7.0
2021-12-06 11:33 osa Note Added: 0105691
2021-12-06 11:33 osa Assigned To osa => bugmaster
2021-12-06 11:33 osa Status resolved => reviewed
2021-12-07 12:08 git Note Added: 0105714
2021-12-07 12:08 git Note Added: 0105715
2021-12-07 12:13 kgv Relationship added related to 0030600
2021-12-08 20:48 git Note Added: 0105755
2021-12-11 11:35 smoskvin Note Added: 0105809
2021-12-11 11:35 smoskvin Status reviewed => tested
2021-12-11 15:14 smoskvin Changeset attached => occt master 8f7159cb
2021-12-11 15:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-11 15:14 smoskvin Status tested => verified
2021-12-11 15:14 smoskvin Resolution open => fixed
2021-12-11 15:26 git Note Added: 0105821
2021-12-11 15:26 git Note Added: 0105822
2021-12-11 15:26 git Note Added: 0105823
2021-12-11 15:26 git Note Added: 0105824
2021-12-15 16:49 kgv Relationship added related to 0032732